关于OpenSSL加密算法破解漏洞的安全公告


        近日,国家信息安全漏洞共享平台(CNVD)收录了OpenSSL存在的加密算法破解漏洞(CNVD-2016-00711,对应CVE-2016-0701)。远程攻击者可利用该漏洞,获取加密密钥,并发起后续攻击,获得用户的敏感信息。

        一、漏洞情况分析

        OpenSSL是一个实现安全套接层和安全传输层协议的通用开源加密库,可支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。

        OpenSSL存在一处加密算法破解漏洞,但是该漏洞需要同时满足以下条件:OpenSSL版本为 1.0.2-1.0.2e;依赖于openssl的应用程序的签名算法生成的临时密钥必须基于Diffie Hellman密钥交换算法。默认情况下,由于服务器会重复使用相同的临时密钥,这使得服务器容易受到密钥覆盖攻击。当满足上述条件后,攻击者可以通过服务器发送大量的握手请求,当有足够多的计算数据完成后,攻击者可以获取部分密钥值,并结合其结果与中国剩余定理最终推导出解密密钥。

         CNVD对该漏洞的综合评级为“高危”。

        二、漏洞影响范围

        漏洞影响OpenSSL 1.0.2-1.0.2e版本。由于OpenSSL广泛应用于一些大型互联网企业的网站、VPN、邮件、即时聊天等类型的服务器上,因此对服务提供商以及用户造成的威胁范围较大,影响较为严重。比如:封装OpenSSL应用的Apache服务器,虽然开启了SSL_OP_SINGLE_DH_USE选项,但用户需要检查是否使用不同的私钥算法;而LibreSSL代码库以及OpenSSL衍伸出的BoringSSL 代码库以及,则将SSL_OP_SINGLE_DH_USE选项选项弃用,会受到漏洞影响。此外,基于DSA 的Diffie-Hellman配置也依赖静态Diffie-Hellman密钥交换算法套件,相关应用也会受到影响。

        三、漏洞修复建议

        目前,厂商已发布了1.0.2f版本修复该漏洞,CNVD建议相关用户及时下载使用,避免引发漏洞相关的网络安全事件。